AsyncCallback (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper

## Interface AsyncCallback

- All Known Subinterfaces:
    AsyncCallback.ACLCallback, AsyncCallback.AllChildrenNumberCallback, AsyncCallback.Children2Callback, AsyncCallback.ChildrenCallback, AsyncCallback.Create2Callback, AsyncCallback.DataCallback, AsyncCallback.EphemeralsCallback, AsyncCallback.MultiCallback, AsyncCallback.StatCallback, AsyncCallback.StringCallback, AsyncCallback.VoidCallback
  All Known Implementing Classes:
    ZooKeeperSaslClient.ServerSaslResponseCallback

      @InterfaceAudience.Public
      public interface AsyncCallback

  Interface definitions of asynchronous callbacks.

  ZooKeeper provides asynchronous version as equivalent to synchronous APIs.

  An asynchronous callback is deferred to invoke after a function returns. Asynchronous calls usually improve system efficiency on IO-related APIs.

  It is highly recommended NOT to perform any blocking operation inside the callbacks. If you block the thread the ZooKeeper client won't process other events.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `AsyncCallback.ACLCallback` This callback is used to retrieve the ACL and stat of the node.
    `static interface` | `AsyncCallback.AllChildrenNumberCallback` This callback is used to get all children node number of the node.
    `static interface` | `AsyncCallback.Children2Callback` This callback is used to retrieve the children and stat of the node.
    `static interface` | `AsyncCallback.ChildrenCallback` This callback is used to retrieve the children of the node.
    `static interface` | `AsyncCallback.Create2Callback` This callback is used to retrieve the name and stat of the node.
    `static interface` | `AsyncCallback.DataCallback` This callback is used to retrieve the data and stat of the node.
    `static interface` | `AsyncCallback.EphemeralsCallback` This callback is used to process the getEphemerals results from a single getEphemerals call.
    `static interface` | `AsyncCallback.MultiCallback` This callback is used to process the multiple results from a single multi call.
    `static interface` | `AsyncCallback.StatCallback` This callback is used to retrieve the stat of the node.
    `static interface` | `AsyncCallback.StringCallback` This callback is used to retrieve the name of the node.
    `static interface` | `AsyncCallback.VoidCallback` This callback doesn't retrieve anything from the node.

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.